language: perl
sudo: false
addons:
  apt:
    packages:
    - libssl-dev
    - mafft
cache:
  directories:
  - build/parallel-20160722
  - build/parallel-20170822
  - build/bedtools2
  - build/cd-hit-v4.6.8-2017-0621
  - build/prank-msa-master
  - build/ncbi-blast-2.6.0+
  - build/mcl-14-137
  - build/fasttree
perl:
  - "5.14"
  - "5.26"
env:
  - PARALLEL_VERSION=20160722
  - PARALLEL_VERSION=20170822
install:
  - "source ./install_dependencies.sh"
before_script:
  - cpanm --quiet --notest Dist::Zilla::App::Command::cover
  - cpanm --quiet --notest --skip-satisfied Devel::Cover::Report::Codecov
script: 
  - ROARY_FULL_TESTS=1 dzil test
after_success:
  - dzil cover -test -report codecov